Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.aspose.barcode
Class Caption

    java.lang.Object
      com.aspose.barcode.Caption

All Implemented Interfaces:
  java.io.Serializable

    public class Caption

extends java.lang.Object
implements java.io.Serializable

Representing captions on the barcode image

See Also:
  Serialized Form

Constructor Summary
`Caption()` Constructs x Caption with default settings
`Caption(java.lang.String text)` Constructs x Caption with x custom label
`Caption(java.lang.String text, java.awt.Font font, java.awt.Color color)` Constructs x Caption with x custom label
`Caption(java.lang.String text, java.awt.Font font, java.awt.Color color, boolean visible, int textAlign)` Construts x Caption with x custom label
`Caption(java.lang.String text, java.awt.Font font, java.awt.Color color, int textAlign)` Constructs x Caption with x custom label

Method Summary
`java.awt.Color` | `getColor()` Gets the caption's color
`java.awt.Font` | `getFont()` Gets the caption's font
`java.lang.String` | `getText()` Gets the caption's text
`int` | `getTextAlign()` Gets the text alignment
`boolean` | `getVisible()` Gets whether caption is visible
`void` | `setColor(java.awt.Color value)` Sets the caption's color
`void` | `setFont(java.awt.Font value)` Sets the caption's font
`void` | `setText(java.lang.String value)` Sets the caption's text
`void` | `setTextAlign(int value)` Sets the text alignment
`void` | `setVisible(boolean value)` Sets whether caption is visible

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Caption

    public Caption()

  Constructs x Caption with default settings

### Caption

    public Caption(java.lang.String text)

  Constructs x Caption with x custom label

  Parameters:
    `text` - String

### Caption

    public Caption(java.lang.String text,
                   java.awt.Font font,
                   java.awt.Color color)

  Constructs x Caption with x custom label

  Parameters:
    `text` - text label
    `font` - text label's font
    `color` - text label's color

### Caption

    public Caption(java.lang.String text,
                   java.awt.Font font,
                   java.awt.Color color,
                   int textAlign)

  Constructs x Caption with x custom label

  Parameters:
    `text` - text label
    `font` - text label's font
    `color` - text label's color
    `textAlign` - text label's alignment
  See Also:
    `TextAlign`

### Caption

    public Caption(java.lang.String text,
                   java.awt.Font font,
                   java.awt.Color color,
                   boolean visible,
                   int textAlign)

  Construts x Caption with x custom label

  Parameters:
    `text` - text label
    `font` - text label's font
    `color` - text label's color
    `visible` - text label's visibility
    `textAlign` - text label's alignment
  See Also:
    `TextAlign`

Method Detail

### getText

    public java.lang.String getText()

  Gets the caption's text

### setText

    public void setText(java.lang.String value)

  Sets the caption's text

### getFont

    public java.awt.Font getFont()

  Gets the caption's font

  Returns:
    java.awt.Font

### setFont

    public void setFont(java.awt.Font value)

  Sets the caption's font

  Parameters:
    `value` -

### getColor

    public java.awt.Color getColor()

  Gets the caption's color

  Returns:
    java.awt.Color

### setColor

    public void setColor(java.awt.Color value)

  Sets the caption's color

  Parameters:
    `value` - of Color java.awt.Color

### getVisible

    public boolean getVisible()

  Gets whether caption is visible

### setVisible

    public void setVisible(boolean value)

  Sets whether caption is visible

### getTextAlign

    public int getTextAlign()

  Gets the text alignment

### setTextAlign

    public void setTextAlign(int value)

  Sets the text alignment

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD